Add item(s)

POST /lists/{list_id}/items

Adds or updates an item in an existing list.

Parameters

list_idstringrequired

List ID without the "@" prefix.

Request body

itemobjectrequired
item object
valuesobjectrequired

Item content. Validated according to the list type.

descriptionstring

Optional item description for display in the admin panel.

expires_induration

ISO 8601 period for automatic expiration (e.g. PT30M, PT12H, P1D). Minimum PT5M, maximum P2Y. Leave blank to register the item permanently.

Responses

201Item(s) created successfully.
Response body
itemsarray

List of created items

items[] item
idstring

Item ID.

valuestring

Item content.

descriptionstring

Optional item description.

expires_atdate-time

Item expiration date and time. If the item is permanent, this field will be null.

401Invalid access credentials
Response body
errorsarray
errors[] item
fieldstring

Request field where the error occurred

typestring

Error type code

messagestring

Error message

422Invalid parameters
Response body
errorsarray
errors[] item
fieldstring

Request field where the error occurred

typestring

Error type code

messagestring

Error message

404Object not found
Response body
errorsarray
errors[] item
fieldstring

Request field where the error occurred

typestring

Error type code

messagestring

Error message

{
  "item": {
    "values": null,
    "description": "string",
    "expires_in": "P1D"
  }
}